[@rxap/form-system](../wiki/globals) / UseMethodConfig

# Interface: UseMethodConfig\<ReturnTypeTarget, ParameterSource, ReturnTypeSource, ParameterTarget\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:14](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L14)

## Type Parameters

• **ReturnTypeTarget** = `any`

• **ParameterSource** = `any`

• **ReturnTypeSource** = `any`

• **ParameterTarget** = `any`

## Properties

### adapter?

> `optional` **adapter**: `object`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:20](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L20)

#### parameter?

> `optional` **parameter**: [`MethodParameterAdapterFunction`](../wiki/TypeAlias.MethodParameterAdapterFunction)\<`ParameterSource`, `ParameterTarget`\>

#### result?

> `optional` **result**: [`MethodResultAdapterFunction`](../wiki/TypeAlias.MethodResultAdapterFunction)\<`ReturnTypeSource`, `ReturnTypeTarget`\>
